package com.heyu.api.alibaba.request.mm.order;

import lombok.Data;

import java.math.BigDecimal;


@Data
public class ProfitSharingDTO {

    private BigDecimal awardAmount;
    private String openid;
    private String buyerName;
    private Long promoterTradeOrderAwardId;
    public ProfitSharingDTO() {

    }


    public Long getPromoterTradeOrderAwardId() {
        return promoterTradeOrderAwardId;
    }

    public void setPromoterTradeOrderAwardId(Long promoterTradeOrderAwardId) {
        this.promoterTradeOrderAwardId = promoterTradeOrderAwardId;
    }

    public BigDecimal getAwardAmount() {
        return awardAmount;
    }

    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }
}
